<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../../style.css');
        @import url('../../../../../../roundedcorners.css');
        @import url('../../../../../../tree.css');
            </style>
    
    <script src="../../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient Cache 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient Cache 4.2.3: org.apache.http.impl.client.cache.testReturns200ForIfNoneMatchHeaderFails');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient Cache 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:14:22 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestCachingHttpClient.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestCachingHttpClient_testReturns200ForIfNoneMatchHeaderFails_ke.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../../org/apache/http/impl/client/cache/TestCachingHttpClient.html?line=1214#src-1214" >testReturns200ForIfNoneMatchHeaderFails</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        14 Jan 22:52:23
    </td>
    <td class="graphPercent alignTop">
        0.0040    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testReturns200ForIfNoneMatchHeaderFails</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheMap</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheMap.html?id=734#CacheMap"             title="CacheMap" name="sl-34">org.apache.http.impl.client.cache.CacheMap</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.cache.InputLimit</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/client/cache/InputLimit.html?id=734#InputLimit"             title="InputLimit" name="sl-38">org.apache.http.client.cache.InputLimit</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.8</span>
            80%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="20% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="80% Covered" class="barPositive contribBarPositive" style="width: 80%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.cache.HttpCacheEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/client/cache/HttpCacheEntry.html?id=734#HttpCacheEntry"             title="HttpCacheEntry" name="sl-51">org.apache.http.client.cache.HttpCacheEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6909091</span>
            69.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="30.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="69.1% Covered" class="barPositive contribBarPositive" style="width: 69.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.SizeLimitedResponseReader</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/SizeLimitedResponseReader.html?id=734#SizeLimitedResponseReader"             title="SizeLimitedResponseReader" name="sl-45">org.apache.http.impl.client.cache.SizeLimitedResponseReader</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.62068963</span>
            62.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="37.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="62.1% Covered" class="barPositive contribBarPositive" style="width: 62.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.BasicHttpCacheStorage</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/BasicHttpCacheStorage.html?id=734#BasicHttpCacheStorage"             title="BasicHttpCacheStorage" name="sl-48">org.apache.http.impl.client.cache.BasicHttpCacheStorage</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5833333</span>
            58.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="41.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="58.3% Covered" class="barPositive contribBarPositive" style="width: 58.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.HeapResource</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/HeapResource.html?id=734#HeapResource"             title="HeapResource" name="sl-41">org.apache.http.impl.client.cache.HeapResource</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheValidityPolicy</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheValidityPolicy.html?id=734#CacheValidityPolicy"             title="CacheValidityPolicy" name="sl-45">org.apache.http.impl.client.cache.CacheValidityPolicy</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.44148937</span>
            44.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="55.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="44.1% Covered" class="barPositive contribBarPositive" style="width: 44.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.HeapResourceFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/HeapResourceFactory.html?id=734#HeapResourceFactory"             title="HeapResourceFactory" name="sl-44">org.apache.http.impl.client.cache.HeapResourceFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.42307693</span>
            42.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="57.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="42.3% Covered" class="barPositive contribBarPositive" style="width: 42.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.ResponseCachingPolicy</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/ResponseCachingPolicy.html?id=734#ResponseCachingPolicy"             title="ResponseCachingPolicy" name="sl-55">org.apache.http.impl.client.cache.ResponseCachingPolicy</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.42105263</span>
            42.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="57.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="42.1% Covered" class="barPositive contribBarPositive" style="width: 42.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CachingHttpClient</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CachingHttpClient.html?id=734#CachingHttpClient"             title="CachingHttpClient" name="sl-113">org.apache.http.impl.client.cache.CachingHttpClient</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.414</span>
            41.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="58.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="41.4% Covered" class="barPositive contribBarPositive" style="width: 41.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.BasicHttpCache</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/BasicHttpCache.html?id=734#BasicHttpCache"             title="BasicHttpCache" name="sl-53">org.apache.http.impl.client.cache.BasicHttpCache</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.39375</span>
            39.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.4% Covered" class="barPositive contribBarPositive" style="width: 39.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheableRequestPolicy</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheableRequestPolicy.html?id=734#CacheableRequestPolicy"             title="CacheableRequestPolicy" name="sl-45">org.apache.http.impl.client.cache.CacheableRequestPolicy</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3939394</span>
            39.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.4% Covered" class="barPositive contribBarPositive" style="width: 39.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.ResponseProtocolCompliance</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/ResponseProtocolCompliance.html?id=734#ResponseProtocolCompliance"             title="ResponseProtocolCompliance" name="sl-57">org.apache.http.impl.client.cache.ResponseProtocolCompliance</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.39473686</span>
            39.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.5% Covered" class="barPositive contribBarPositive" style="width: 39.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheConfig</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheConfig.html?id=734#CacheConfig"             title="CacheConfig" name="sl-84">org.apache.http.impl.client.cache.CacheConfig</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.37037036</span>
            37%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37% Covered" class="barPositive contribBarPositive" style="width: 37%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CachedHttpResponseGenerator</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CachedHttpResponseGenerator.html?id=734#CachedHttpResponseGenerator"             title="CachedHttpResponseGenerator" name="sl-50">org.apache.http.impl.client.cache.CachedHttpResponseGenerator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.369863</span>
            37%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37% Covered" class="barPositive contribBarPositive" style="width: 37%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheKeyGenerator</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheKeyGenerator.html?id=734#CacheKeyGenerator"             title="CacheKeyGenerator" name="sl-53">org.apache.http.impl.client.cache.CacheKeyGenerator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.34117648</span>
            34.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="65.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="34.1% Covered" class="barPositive contribBarPositive" style="width: 34.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.RequestProtocolCompliance</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/RequestProtocolCompliance.html?id=734#RequestProtocolCompliance"             title="RequestProtocolCompliance" name="sl-57">org.apache.http.impl.client.cache.RequestProtocolCompliance</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.32188842</span>
            32.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="67.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="32.2% Covered" class="barPositive contribBarPositive" style="width: 32.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.AsynchronousValidator</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/AsynchronousValidator.html?id=734#AsynchronousValidator"             title="AsynchronousValidator" name="sl-49">org.apache.http.impl.client.cache.AsynchronousValidator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3043478</span>
            30.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.4% Covered" class="barPositive contribBarPositive" style="width: 30.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.ConditionalRequestBuilder</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/ConditionalRequestBuilder.html?id=734#ConditionalRequestBuilder"             title="ConditionalRequestBuilder" name="sl-46">org.apache.http.impl.client.cache.ConditionalRequestBuilder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.30508474</span>
            30.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.5% Covered" class="barPositive contribBarPositive" style="width: 30.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CachedResponseSuitabilityChecker</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CachedResponseSuitabilityChecker.html?id=734#CachedResponseSuitabilityChecker"             title="CachedResponseSuitabilityChecker" name="sl-51">org.apache.http.impl.client.cache.CachedResponseSuitabilityChecker</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.27142859</span>
            27.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="72.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="27.1% Covered" class="barPositive contribBarPositive" style="width: 27.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheInvalidator</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheInvalidator.html?id=734#CacheInvalidator"             title="CacheInvalidator" name="sl-55">org.apache.http.impl.client.cache.CacheInvalidator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.21333334</span>
            21.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.3% Covered" class="barPositive contribBarPositive" style="width: 21.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheEntity.html?id=734#CacheEntity"             title="CacheEntity" name="sl-41">org.apache.http.impl.client.cache.CacheEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.10344828</span>
            10.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="89.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="10.3% Covered" class="barPositive contribBarPositive" style="width: 10.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheEntryUpdater</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheEntryUpdater.html?id=734#CacheEntryUpdater"             title="CacheEntryUpdater" name="sl-56">org.apache.http.impl.client.cache.CacheEntryUpdater</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.042857144</span>
            4.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="95.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="4.3% Covered" class="barPositive contribBarPositive" style="width: 4.3%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:14:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
